Skip to main content
GET

Authorizations

Api-Key
string
header
required

An API Key is required to call Pinecone APIs. Get yours from the console.

Headers

X-Pinecone-Api-Version
string
default:2025-10
required

Required date-based version header

Path Parameters

job_id
string
required

The ID of the restore job to describe.

Response

Configuration information and deployment status of the restore job.

The RestoreJobModel describes the status of a restore job.

restore_job_id
string
required

Unique identifier for the restore job

Example:

"670e8400-e29b-41d4-a716-446655440001"

backup_id
string
required

Backup used for the restore

Example:

"670e8400-e29b-41d4-a716-446655440000"

target_index_name
string
required

Name of the index into which data is being restored

Example:

"sample-index"

target_index_id
string
required

ID of the index

Example:

"670e8400-e29b-41d4-a716-446655440002"

status
string
required

Status of the restore job

Example:

"Completed"

created_at
string<date-time>
required

Timestamp when the restore job started

Example:

"2025-02-04T13:00:00.000Z"

completed_at
string<date-time>

Timestamp when the restore job finished

Example:

"2025-02-04T14:00:00.000Z"

percent_complete
number<float>

The progress made by the restore job out of 100

Required range: 0 <= x <= 100
Example:

42.2